## intel-microcode 0.20090927-1ubuntu1

=== debian/changelog ===
intel-microcode (0.20090927-1ubuntu1) karmic; urgency=low

  * New microcode version from Intel, 20090927
    http://downloadmirror.intel.com/14303/eng/microcode-20090927.tgz

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 13 Oct 2009 13:22:08 -0600

intel-microcode (0.20090330-1ubuntu1) jaunty; urgency=low

  * New microcode version from Intel, 20090330
    http://downloadmirror.intel.com/14303/eng/microcode-20090330.tgz

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 08 Apr 2009 14:13:29 +0000

intel-microcode (0.20080910-2) unstable; urgency=low

  * Revert architecture change

 -- Giacomo Catenazzi <cate@debian.org>  Mon, 13 Oct 2008 19:40:18 +0200

intel-microcode (0.20080910-1) unstable; urgency=low

  * New upstream version.
  * Set architecture to all: the data is architecture indipendent
    (and used in i386 and amd64 architectures). Note: this package
    is "non-free" (i.e. usual manual check), so it should not
    use space on CD and other medium, on non Intel architectures.

 -- Giacomo Catenazzi <cate@debian.org>  Mon, 15 Sep 2008 08:33:19 +0200

intel-microcode (0.20080401-1) unstable; urgency=low

  * New upstream version.

 -- Giacomo Catenazzi <cate@debian.org>  Fri, 25 Apr 2008 18:59:10 +0200

intel-microcode (0.20080220-1) unstable; urgency=low

  * New upstream version.

 -- Giacomo Catenazzi <cate@debian.org>  Mon, 10 Mar 2008 07:48:48 +0100

intel-microcode (0.20080131-1) unstable; urgency=low

  * Initial release. The new license is finally enough good for
    debian non-free
  * BTW packing the microcode will solve potential/theoretical
    man-in-the-middle attack (Closes: #282583)

 -- Giacomo Catenazzi <cate@debian.org>  Wed, 20 Feb 2008 19:33:10 +0100

## intel-microcode 1.20140913.1~bpo60+1

=== Makefile ===
PATH := $(PATH):/sbin:/usr/sbin
IUCODE_TOOL := iucode_tool
IUC_FLAGS := -vv
IUC_QUIET_FLAGS := -q
IUC_FINAL_FLAGS := -vv --downgrade

# CUTDATE RANGE
# This filter selects what we consider to be old microcode which
# should still be shipped even if Intel dropped them.  Note that
# it is useless to ship microcodes for anything the distro doesn't
# really support anymore
#
# Watch out: check in the changelog, if this filter will add
# microcodes that look like they've been recalled, use IUC_EXCLUDE
# below to avoid shipping the probably recalled microcode.
# Last manual check: up to 2008-01-01
IUC_OLDIES_SELECT := "--date-before=2008-01-01"

# EXCLUDING MICROCODES:
# Always document reason.  See iucode_tool(8) for -s !<sig> syntax
# Recalls might require use of .fw overrides to retain old version,
# instead of exclusions.  Exclusions have the highest priority, and
# will remove microcode added by any other means, including override
# files (.fw files).
IUC_EXCLUDE :=

# 0x106c0: alpha hardware, seen in a very very old microcode data file
IUC_EXCLUDE += -s !0x106c0

# INCLUDING MICROCODES:
# This should be used to add a microcode from any of the microcode
# bundles, without the need for an override file. See iucode_tool(8)
# for -s <sig> syntax.  Always document the reason, as per IUC_EXCLUDE.
IUC_INCLUDE :=

# ##EXAMPLE ## DO NOT ENABLE##
# 0x106a5: Xeon X55xx: Intel recalled some errata fixes for unknown
# reasons, and then stopped shipping the microcode at rev 0x15.  HP ships
# the latest available revision of this microcode (0x16) on their
# DL360/DL380 G6/G7 servers.
#
# IUC_INCLUDE += -s 0x000106a5
# ##EXAMPLE##

# Keep sorting order predictable or things will break
export LC_COLLATE=C

MICROCODE_SOURCES   := $(sort $(wildcard microcode-*.dat microcode-*.bin))
MICROCODE_FINAL_SOURCES := microcode-oldies.pbin $(lastword $(MICROCODE_SOURCES))
MICROCODE_OVERRIDES := $(wildcard *.fw)
ifneq ($(MICROCODE_OVERRIDES),)
	MICROCODE_FINAL_SOURCES += microcode-overrides.pbin
endif

all: intel-microcode.bin intel-microcode-64.bin

#
# We have to build a list of microcode signatures for very old microcode
# that is likely to be droped as legacy from newer bundles, and then
# select the newest microcode available for each such signature.
# We can't just date-filter, as that would skip microcode revisions
# publised after the cut-date.
#
microcode-oldies.pbin: $(MICROCODE_SOURCES)
	@echo
	@echo Building microcode bundle for older and additional microcode
	@$(IUCODE_TOOL) $(IUC_FLAGS) --overwrite -w "$@" $^ $(IUC_INCLUDE) $$( \
		(for i in $^ ; do \
			$(IUCODE_TOOL) $(IUC_QUIET_FLAGS) $(IUC_OLDIES_SELECT) -l "$$i" | \
			sed -n -e '/sig/ { s/.*sig \(0x[0-9a-fA-F]\+\),.*/-s \1/ p }' ; \
		done ) | sort | uniq | xargs \
	)

# The microcode overrides are bundled together to sort out any
# duplication and revision level issues.
microcode-overrides.pbin: $(MICROCODE_OVERRIDES)
	@echo
	@echo Preprocessing microcode overrides...
	@$(IUCODE_TOOL) $(IUC_FLAGS) --overwrite -w "$@" $^

# Final target
intel-microcode.bin: $(MICROCODE_FINAL_SOURCES)
	@echo
	@echo Building final microcode bundle...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) $(IUC_EXCLUDE) --overwrite -w "$@" $^

intel-microcode-64.bin: intel-microcode.bin
	@echo
	@echo Building stripped-down microcode bundle for x86-64 and x32...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) $(shell sed -n -r -e '/^i.86/ { s/^[^ ]+ +/-s !/;s/ +\#.*//;p}' cpu-signatures.txt) $(IUC_EXCLUDE) --overwrite -w "$@" $^

distclean: clean
clean:
	rm -f intel-microcode-64.bin intel-microcode.bin microcode-overrides.pbin microcode-oldies.pbin

.PHONY: clean

## intel-microcode 0.20100209-1ubuntu2

=== debian/changelog ===
intel-microcode (0.20100209-1ubuntu2) lucid; urgency=low

  * doh! Fixed stupid FTBS

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 19 Mar 2010 08:47:26 -0600

intel-microcode (0.20100209-1ubuntu1) lucid; urgency=low

  * New microcode version from Intel, 20100209
    http://downloadcenter.intel.com/detail_desc.aspx?agr=&ProductID=&DwnldID=18683&strOss=&OSFullName=&lang=eng

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 19 Mar 2010 08:06:34 -0600

=== debian/control ===
Source: intel-microcode
Section: non-free/admin
Priority: extra
Maintainer: Giacomo Catenazzi <cate@debian.org>
Build-Depends: cdbs, debhelper (>= 5)
Standards-Version: 3.8.0
Homepage: http://downloadcenter.intel.com/Detail_Desc.aspx?ProductID=483&DwnldID=14303

Package: intel-microcode
Architecture: i386 amd64
Depends: microcode.ctl
Description: Processor microcode data file for Intel CPUs
 The microcode data file for Linux contains the latest microcode
 definitions for all Intel processors. Intel releases microcode
 updates to correct processor behavior as documented in the
 respective processor specification updates. While the regular
 approach to getting this microcode update is via a BIOS upgrade,
 Intel realizes that this is an administrative hassle; the Linux
 Operating System has a mechanism to update the microcode after
 booting the OS.
 .
 This package contains only the microcode, so it needs the loader
 provided in the package microcode.ctl

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk

install/intel-microcode::
	cp -p microcode-*.dat debian/intel-microcode/usr/share/misc/intel-microcode.dat

## intel-microcode 0.20100826-1ubuntu3

=== debian/changelog ===
intel-microcode (0.20100826-1ubuntu3) maverick; urgency=low

  * microcode-20100914.dat
    Intel claims previous version 20100826 has some bug which cause system failure.
    -LP: #485587

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 21 Sep 2010 15:38:25 +0800

intel-microcode (0.20100826-1ubuntu2) maverick; urgency=low

  * Use microcode-20100826.dat, not microcode-20100826.tgz
    Fixes FTBS

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 31 Aug 2010 10:03:32 -0600

intel-microcode (0.20100826-1ubuntu1) maverick; urgency=low

  * microcode-20100826
    http://downloadcenter.intel.com/detail_desc.aspx?agr=&ProductID=&DwnldID=19299&strOss=&OSFullName=&lang=eng

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 31 Aug 2010 07:50:05 -0600

## intel-microcode 0.20101123-1

=== debian/changelog ===
intel-microcode (0.20101123-1) natty; urgency=low

  * New upstream data file: microcode-20101123

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 17 Dec 2010 12:54:19 -0700

intel-microcode (0.20100914-1) unstable; urgency=low

  * New upstream data file: microcode-20100914
    + Updated Microcodes:
      sig 0x000206c2, pf mask 0x03, 2010-09-07, rev 0x0013, size 7168
    + Removed Microcodes:
      sig 0x000006d8, pf mask 0x08, 2006-08-31, rev 0x0021, size 2048
      sig 0x000006d8, pf mask 0x20, 2004-07-22, rev 0x0020, size 2048
      sig 0x00000f65, pf mask 0x04, 2007-05-10, rev 0x000b, size 2048
      sig 0x00010661, pf mask 0x04, 2007-05-01, rev 0x0036, size 4096
      sig 0x000106a5, pf mask 0x03, 2010-03-03, rev 0x0015, size 8192
      sig 0x000206e6, pf mask 0x04, 2010-04-21, rev 0x0007, size 6144
  * Add upstream changelog, with a list of changed microcodes per release
  * Update debian/copyright to match the latest license
  * Update documentation on where and how to get an up-to-date microcode
    file directly from Intel, and how to install it
  * postinst: run the microcode.ctl initscript on install/upgrades to apply
    updated microcodes to the processor
  * Merge changes from version 0.20090927-1, which I lost in the last
    upload for some stupid reason.  The lack of 0.20090927-1 in the
    changelog upsets the BTS' version tracking, so it is more than just a
    cosmetic fix

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 26 Sep 2010 19:51:46 -0300

intel-microcode (0.20100826-1) unstable; urgency=low

  * New upstream data file: microcode-20100826 (closes: #571128)
  * debian/control: Add myself to uploaders
  * debian/control: bump standards-version to 3.9.1 (no changes required)
  * debian/control: Change homepage to the only stable URI available,
    which is that of the RSS feed
  * debian/source/format: set to 1.0, we gain nothing from the other formats

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 28 Aug 2010 11:25:34 -0300

intel-microcode (0.20090927-1) unstable; urgency=low

  * New upstream version (Closes: #549706)

 -- Giacomo Catenazzi <cate@debian.org>  Tue, 06 Oct 2009 07:42:02 +0200

intel-microcode (0.20090330-1) unstable; urgency=low

  * New upstream version. This version replaced 6 and add
    extra 3 microcode files.

 -- Giacomo Catenazzi <cate@debian.org>  Tue, 31 Mar 2009 07:54:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: non-free/admin
 Priority: extra
 Maintainer: Giacomo Catenazzi <cate@debian.org>
+Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: cdbs, debhelper (>= 5)
-Standards-Version: 3.8.0
-Homepage: http://downloadcenter.intel.com/Detail_Desc.aspx?ProductID=483&DwnldID=14303
+Standards-Version: 3.9.1
+Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
+XS-Autobuild: yes
 
 Package: intel-microcode
 Architecture: i386 amd64
-Depends: microcode.ctl
+Depends: microcode.ctl, ${misc:Depends}
 Description: Processor microcode data file for Intel CPUs
  The microcode data file for Linux contains the latest microcode
  definitions for all Intel processors. Intel releases microcode

## intel-microcode 0.20110915-1

=== debian/changelog ===
intel-microcode (0.20110915-1) oneiric; urgency=low

  * New upstream data file: microcode-20110915

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 Sep 2011 13:46:14 -0600

intel-microcode (0.20110428-1) oneiric; urgency=low

  * New upstream data file: microcode-20110428
    -LP: #781512

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 26 May 2011 08:26:20 -0600

## intel-microcode 0.20111110-1

=== debian/changelog ===
intel-microcode (0.20111110-1) precise; urgency=low

  * New upstream data file: microcode-20111110
    -LP: #867499

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 05 Jan 2012 06:44:22 -0700

## intel-microcode 0.20130808-p-1ubuntu1

=== debian/changelog ===
intel-microcode (0.20130808-p-1ubuntu1) precise-security; urgency=low

  * New upstream data file: microcode-20130808
    -LP: #1212497

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 20 Aug 2013 12:17:44 -0600

## intel-microcode 0.20130808-q-1ubuntu1

=== debian/changelog ===
intel-microcode (0.20130808-q-1ubuntu1) quantal-security; urgency=low

  * New upstream data file: microcode-20130808
    -LP: #1212497

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 20 Aug 2013 12:22:43 -0600

intel-microcode (0.20120606-1ubuntu1) quantal; urgency=low

  * New upstream data file: microcode-20120606-v2
    -LP: #1055914

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 01 Oct 2012 20:53:24 -0600

intel-microcode (0.20120606-1) unstable; urgency=medium

  * New upstream data file: microcode-20120606
    + New Microcodes:
      sig 0x00020661, pf mask 0x02, 2011-07-18, rev 0x0105, size 5120
      sig 0x000206d7, pf mask 0x6d, 2012-04-03, rev 0x070c, size 16384
      sig 0x000306a9, pf mask 0x12, 2012-04-12, rev 0x0012, size 11264
    + Updated Microcodes:
      sig 0x000106e5, pf mask 0x13, 2011-09-01, rev 0x0005, size 6144
      sig 0x000206a7, pf mask 0x12, 2012-04-24, rev 0x0028, size 9216
      sig 0x000206d6, pf mask 0x6d, 2012-04-18, rev 0x0618, size 16384
    + Removed Microcodes (recently updated):
      sig 0x000206f2, pf mask 0x05, 2011-08-31, rev 0x0034, size 12288
  * Fixes precise-event based sampling (PEBS) on Sandy Bridge processors
    (http://lkml.org/lkml/2012/6/7/145)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 09 Jun 2012 00:44:12 -0300

intel-microcode (0.20111110-1) unstable; urgency=low

  * New upstream data file: microcode-20111110
    + New Microcodes:
      sig 0x000206d6, pf mask 0x6d, 2011-09-29, rev 0x060c, size 15360
    + Updated Microcodes:
      sig 0x00020652, pf mask 0x12, 2011-09-01, rev 0x000d, size 7168
      sig 0x00020655, pf mask 0x92, 2011-09-01, rev 0x0003, size 2048
      sig 0x000206a7, pf mask 0x12, 2011-10-11, rev 0x0025, size 9216
      sig 0x000206f2, pf mask 0x05, 2011-08-31, rev 0x0034, size 12288
    + Removed Microcodes (recently added):
      sig 0x00030661, pf mask 0x02, 2011-06-23, rev 0x0106, size 5120
      sig 0x00030661, pf mask 0x04, 2011-06-23, rev 0x0106, size 5120
      sig 0x00030661, pf mask 0x08, 2011-06-23, rev 0x0106, size 5120

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 24 Dec 2011 18:17:05 -0200

intel-microcode (0.20110915-1) unstable; urgency=low

  * New upstream data file: microcode-20110915
    + New Microcodes:
      sig 0x000206f2, pf mask 0x05, 2011-07-21, rev 0x0032, size 12288
      sig 0x00030661, pf mask 0x02, 2011-06-23, rev 0x0106, size 5120
      sig 0x00030661, pf mask 0x04, 2011-06-23, rev 0x0106, size 5120
      sig 0x00030661, pf mask 0x08, 2011-06-23, rev 0x0106, size 5120
    + Updated Microcodes:
      sig 0x000206a7, pf mask 0x12, 2011-07-14, rev 0x001b, size 9216

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 16 Oct 2011 13:10:43 -0200

intel-microcode (0.20110428-1) unstable; urgency=low

  * New upstream data file: microcode-20110428
    + New Microcodes:
      sig 0x000206a7, pf mask 0x12, 2011-04-07, rev 0x0017, size 8192
    + Readded Microcodes:
      sig 0x00000f12, pf mask 0x04, 2003-05-02, rev 0x002e, size 2048
    + Removed Microcodes (recently rolled back):
      sig 0x000106a5, pf mask 0x03, 2009-04-14, rev 0x0011, size 8192
  * debian/rules: install microcode*.dat, instead of microcode-*.dat

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 26 Jun 2011 18:56:57 -0300

intel-microcode (0.20101123-1) unstable; urgency=low

  * New upstream data file: microcode-20101123
    + New Microcodes:
      sig 0x000006fb, pf mask 0x20, 2010-10-03, rev 0x00ba, size 4096
    + Readded Microcodes (older revision):
      sig 0x000106a5, pf mask 0x03, 2009-04-14, rev 0x0011, size 8192
    + Updated Microcodes:
      sig 0x000006f2, pf mask 0x01, 2010-10-02, rev 0x005d, size 4096
      sig 0x000006f2, pf mask 0x20, 2010-10-02, rev 0x005c, size 4096
      sig 0x000006f6, pf mask 0x01, 2010-09-30, rev 0x00d0, size 4096
      sig 0x000006f6, pf mask 0x04, 2010-10-01, rev 0x00d2, size 4096
      sig 0x000006f6, pf mask 0x20, 2010-10-01, rev 0x00d1, size 4096
      sig 0x000006f7, pf mask 0x10, 2010-10-02, rev 0x006a, size 4096
      sig 0x000006f7, pf mask 0x40, 2010-10-02, rev 0x006b, size 4096
      sig 0x000006fa, pf mask 0x80, 2010-10-02, rev 0x0095, size 4096
      sig 0x000006fb, pf mask 0x01, 2010-10-03, rev 0x00ba, size 4096
      sig 0x000006fb, pf mask 0x04, 2010-10-03, rev 0x00bc, size 4096
      sig 0x000006fb, pf mask 0x08, 2010-10-03, rev 0x00bb, size 4096
      sig 0x000006fb, pf mask 0x10, 2010-10-03, rev 0x00ba, size 4096
      sig 0x000006fb, pf mask 0x40, 2010-10-03, rev 0x00bc, size 4096
      sig 0x000006fb, pf mask 0x80, 2010-10-03, rev 0x00ba, size 4096
      sig 0x000006fd, pf mask 0x01, 2010-10-02, rev 0x00a4, size 4096
      sig 0x000006fd, pf mask 0x20, 2010-10-02, rev 0x00a4, size 4096
      sig 0x000006fd, pf mask 0x80, 2010-10-02, rev 0x00a4, size 4096
      sig 0x00010661, pf mask 0x01, 2010-10-04, rev 0x0043, size 4096
      sig 0x00010661, pf mask 0x02, 2010-10-04, rev 0x0042, size 4096
      sig 0x00010661, pf mask 0x80, 2010-10-04, rev 0x0044, size 4096
      sig 0x00010676, pf mask 0x01, 2010-09-29, rev 0x060f, size 4096
      sig 0x00010676, pf mask 0x04, 2010-09-29, rev 0x060f, size 4096
      sig 0x00010676, pf mask 0x10, 2010-09-29, rev 0x060f, size 4096
      sig 0x00010676, pf mask 0x40, 2010-09-29, rev 0x060f, size 4096
      sig 0x00010676, pf mask 0x80, 2010-09-29, rev 0x060f, size 4096
      sig 0x00010677, pf mask 0x10, 2010-09-29, rev 0x070a, size 4096
      sig 0x0001067a, pf mask 0x11, 2010-09-28, rev 0x0a0b, size 8192
      sig 0x0001067a, pf mask 0x44, 2010-09-28, rev 0x0a0b, size 8192
      sig 0x0001067a, pf mask 0xa0, 2010-09-28, rev 0x0a0b, size 8192
      sig 0x000106d1, pf mask 0x08, 2010-09-30, rev 0x0029, size 4096
    + Removed Microcodes:
      sig 0x00000612, pf mask 0x00, 1996-12-10, rev 0x00c6, size 2048
      sig 0x00000616, pf mask 0x00, 1996-12-10, rev 0x00c6, size 2048
      sig 0x00000617, pf mask 0x00, 1996-12-10, rev 0x00c6, size 2048


=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk

install/intel-microcode::
	mkdir -p debian/intel-microcode/usr/share/misc/
	cp -p microcode*.dat debian/intel-microcode/usr/share/misc/intel-microcode.dat

## intel-microcode 0.20140624-p-1ubuntu1

=== debian/changelog ===
intel-microcode (0.20140624-p-1ubuntu1) precise; urgency=medium

  * New upstream data file: microcode-20140624
    -LP: #1335156

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 27 Jun 2014 09:07:04 -0600

intel-microcode (0.20140430-p-1ubuntu1) precise; urgency=medium

  * New upstream data file: microcode-20140430
    https://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=23829
    -LP: #1319114

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 13 May 2014 12:15:53 -0600

intel-microcode (0.20140122-p-1ubuntu1) precise; urgency=medium

  * New upstream data file: microcode-20140122
    -LP: #1273532

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 03 Mar 2014 07:08:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-microcode
 Section: non-free/admin
 Priority: extra
-Maintainer: Giacomo Catenazzi <cate@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Giacomo Catenazzi <cate@debian.org>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: cdbs, debhelper (>= 5)
 Standards-Version: 3.9.1

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk

install/intel-microcode::
	mkdir -p debian/intel-microcode/usr/share/misc/
	cp -p microcode-*.dat debian/intel-microcode/usr/share/misc/intel-microcode.dat

## intel-microcode 1.20120606.v2.2

=== debian/changelog ===
intel-microcode (1.20120606.v2.2) unstable; urgency=medium

  * initramfs: work around initramfs-tools bug #688794.
    Use "_" in place of "+-." for the initramfs script name.  This works
    around a PANIC during boot when the initramfs was created in a system
    with noexec $TMPDIR.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 09 Oct 2012 07:43:37 -0300

intel-microcode (1.20120606.v2.1) unstable; urgency=medium

  * New upstream microcode data file 20120606-v2 (2012-10-01)
    + Updated Microcodes:
      sig 0x000206d6, pf mask 0x6d, 2012-05-22, rev 0x0619, size 16384
      sig 0x000206d7, pf mask 0x6d, 2012-05-22, rev 0x070d, size 16384
      sig 0x000306a9, pf mask 0x12, 2012-07-16, rev 0x0013, size 11264
    + Updated Microcodes (recently removed):
      sig 0x000206f2, pf mask 0x05, 2012-04-12, rev 0x0036, size 12288
  * Remove from the source package some unused upstream microcode bundles,
    which were completely superseded by later ones: microcode-20080401.dat,
    microcode-20090330.dat, microcode-20090927.dat, microcode-20100209.dat,
    microcode-20110428.dat, microcode-20111110.dat.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 08 Oct 2012 14:56:17 -0300

intel-microcode (1.20120606.6) unstable; urgency=medium

  * debian/control: conflicts with microcode.ctl (<< 1.18~0)
    microcode.ctl (1.18~0+nmu1) is a transitional package.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 02 Sep 2012 17:46:39 -0300

intel-microcode (1.20120606.5) unstable; urgency=low

  * debian/copyright: correct statement.
  * debian/control: use i686 instead of IA32 in package description.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 29 Aug 2012 19:33:14 -0300

intel-microcode (1.20120606.4) unstable; urgency=low

  * README.Debian: mention module-init-tools, not just kmod.  This
    is useful when backporting to Debian Squeeze.
  * initramfs: make sure we modprobe cpuid early.
    Provide an /etc/kernel/preinst.d hook to modprobe the cpuid module
    before an in-place kernel upgrade makes it impossible to do so at
    initramfs rebuild time.  This is only done when dev/cpuid is not yet
    available, IUCODE_TOOL_SCANCPUS is active, and iucode-tool is
    installed.  Thanks to Philipp Kern for the report.
  * NEWS.Debian: document failures with in-place kernel upgrades

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 11 Aug 2012 19:35:46 -0300

intel-microcode (1.20120606.3) unstable; urgency=low

  * initramfs: while creating the initramfs, if we need to iucode_tool
    --scan-system, attempt to modprobe cpuid if cpu/cpuid device is missing,
    and report an error if it doesn't work.  Thanks to Sebastian Andrzej
    Siewior for a good suggestion on how to fix it (closes: #683161)
  * README.Debian: add "modprobe cpuid" to example
  * debian/control: use better Vcs-browser URI that is properly
    handled by the current alioth redirector.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 29 Jul 2012 11:09:44 -0300

intel-microcode (1.20120606.2) unstable; urgency=low

  * Fix README.source to reflect that cpu-signatures.txt processing
    was moved to the toplevel Makefile
  * Update diff-latest-pack.sh to really find iucode_tool

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 21 Jul 2012 18:10:47 -0300

intel-microcode (1.20120606.1) unstable; urgency=low

  * Change to ABI 1:
    + Ship binary microcode in /lib/firmware
    + Add initramfs helpers to install and load binary microcode on boot
    + Call update-initramfs on package upgrades and removals
    + Use non-deprecated kernel interface to interact with kernel
      (sysfs+fw loader)
  * Include microcode for older processors.  This should help some
    older boxes for which microcode was not being shipped by Intel
    anymore but which still have users, with the trade-off that we
    will also ship some useless and mostly useless microcode
  * Do not ship i686-only microcode in the amd64 binary package.  We
    still ship all microcode in the i386 binary package, to support
    64bit processors running i?86 userspace transparently
  * Switch myself to maintainer, and Giacomo to uploader to better
    reflect who is responsible for any bugs this could cause...
  * Switch to the 3.0 (native) package format as it doesn't make practical
    sense to base the source package on the Intel upstream tarball anymore
    because we use all past Intel microcode releases as source
    + Use xz to compress the tarball, it does a _much_ better job than
      bzip2 and gzip for this package
    + Override lintian warning about switch to native packaging, as it was
      done on purpose.  It can be removed in the future
  * Drop CDBS, switch to classic (less obfuscated/much better documented)
    debhelper build
  * Switch to debhelper v7, which is good enough for Debian Lenny and later
    don't use a newer mode for now, to facilitate backporting
  * Document in README.source:
    + this package must be trivial to backport to oldstable and stable
      (i.e. Debian Lenny and Debian Squeeze ATM)
    + how to add new upstream microcode packs and microcode overrides
    + other relevant details related to the lack of Intel changelogs
  * Build-Depend on iucode-tool to handle binary microcode, merge
    microcode packs and overrides, and split into firmware files
  * Drop support for microcode.ctl, as it cannot handle binary
    microcode or the non-deprecated kernel interface
  * Update package short and long descriptions
  * Add a NEWS file to explain all the behaviour changes
  * Recommend iucode-tool to support optional selective microcode
    selection for the initramfs (reduces microcode size greatly)
  * Change to priority: standard.  This package should be installed in
    every Intel-based Debian system, which is unfortunately impossible
    since it is non-free, but at least mark it as such
  * add debian/diff-latest-pack.sh utility (not shipped in the binary


## intel-microcode 1.20120606.v2.2ubuntu1

=== debian/changelog ===
intel-microcode (1.20120606.v2.2ubuntu1) raring; urgency=low

  * Added microcode-20130222.dat 
    -LP: #1133176

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 04 Mar 2013 13:27:41 -0700

## intel-microcode 1.20130222.1~bpo60+1

=== debian/changelog ===
intel-microcode (1.20130222.1~bpo60+1) squeeze-backports; urgency=low

  * Backport to Debian Squeeze: no changes required.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 11 Mar 2013 19:15:59 -0300

intel-microcode (1.20130222.1) unstable; urgency=low

  * New upstream microcode data file 20130222 (closes: #702152)
    + Updated Microcodes:
        sig 0x000306a9, pf mask 0x12, 2013-01-09, rev 0x0017, size 11264
  * Remove from the source package an unused microcode data file, which
    was completely superseded by later ones: microcode-20120606-v2.dat

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 03 Mar 2013 16:59:35 -0300

intel-microcode (1.20120606.v2.2~bpo60+1) squeeze-backports; urgency=low

  * Backport to Debian Squeeze: no changes required.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 09 Oct 2012 08:08:07 -0300

intel-microcode (1.20120606.v2.1~bpo60+1) squeeze-backports; urgency=low

  * Backport to Debian Squeeze: no changes required.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 08 Oct 2012 20:59:13 -0300

intel-microcode (1.20120606.6~bpo60+1) squeeze-backports; urgency=low

  * Backport to Debian Squeeze: no changes required.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 20 Sep 2012 17:37:02 -0300

## intel-microcode 1.20130808-r-1ubuntu1

=== debian/changelog ===
intel-microcode (1.20130808-r-1ubuntu1) raring-security; urgency=low

  * Added microcode-20130808.dat
    -LP: #1212497

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 20 Aug 2013 12:27:53 -0600

=== debian/control ===
Source: intel-microcode
Section: non-free/admin
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Uploaders: Giacomo Catenazzi <cate@debian.org>
Build-Depends: debhelper (>= 7), iucode-tool (>= 0.8)
Standards-Version: 3.9.3
Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
XS-Autobuild: yes

Package: intel-microcode
Architecture: i386 amd64
Depends: ${misc:Depends}
Recommends: iucode-tool
Conflicts: microcode.ctl (<< 0.18~0)
Description: Processor microcode firmware for Intel CPUs
 This package contains updated system processor microcode for
 Intel i686 and Intel X86-64 processors.  Intel releases microcode
 updates to correct processor behavior as documented in the
 respective processor specification updates.
 .
 Installing iucode-tool is recommended, as it can automatically
 limit the selection of Intel processor microcode files installed
 into the initramfs, reducing initramfs bloat by a large factor.
 .
 For AMD processors, please refer to the amd64-microcode package.

## intel-microcode 1.20130906.1ubuntu2

=== debian/changelog ===
intel-microcode (1.20130906.1ubuntu2) saucy; urgency=low

  * Added microcode-20130906.dat
    -LP: #1226911

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 19 Sep 2013 13:40:26 -0600

intel-microcode (1.20130808.1ubuntu1) saucy; urgency=low

  * Added microcode-20130808.dat
    -LP: #1212497

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 15 Aug 2013 08:02:05 -0600

intel-microcode (1.20130222.6) unstable; urgency=low

  * initramfs, postinst: don't do anything on non-Intel systems
  * initramfs, postinst: blacklist several kernel versions (closes: #716917)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 20 Jul 2013 10:46:59 -0300

intel-microcode (1.20130222.5) unstable; urgency=low

  * debian/control: depend on iucode-tool, and shorten description
  * initramfs hook: several auto mode fixes

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 03 Jul 2013 19:55:13 -0300

intel-microcode (1.20130222.4) unstable; urgency=low

  * initramfs: fix xargs error when iucode-tool is not installed
    in the early firmware update mode code path (closes: #712943)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 20 Jun 2013 22:07:04 -0300

intel-microcode (1.20130222.3) unstable; urgency=low

  * initramfs: add support for early firmware update
    Add support to update microcode during early kernel startup, requires
    Linux 3.9 or later with CONFIG_MICROCODE_INTEL_EARLY enabled.
    This also requires initramfs-tools 0.113 or later, as well as iucode-tool
    1.0 or later.  We fallback to late initramfs mode if outdated versions of
    initramfs-tools or iucode-tool are installed.
  * Update README.Debian and NEWS.Debian for early updates
  * debian/control: update recommends for early-fw support
    Recommend iucode-tool v1.0 or later and initramfs-tools 0.113, and
    update the explanation in the package description accordingly.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 19 Jun 2013 22:15:46 -0300

intel-microcode (1.20130222.2) unstable; urgency=low

  * kernel preinst: simplify and load microcode and cpuid modules
  * postinst: attempt to load microcode module (closes: #692535)
  * Makefile: Use the -s! and --loose-date-filtering facilities added to
    iucode_tool v0.9 to better implement the selection of legacy microcode,
    and to fix the support for IUC_INCLUDE, which was non-functional.
  * debian/control: build-depend on iucode-tool (>= 0.9)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 27 Mar 2013 16:39:06 -0300

=== debian/control ===
Source: intel-microcode
Section: non-free/admin
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Uploaders: Giacomo Catenazzi <cate@debian.org>
Build-Depends: debhelper (>= 7), iucode-tool (>= 0.9)
Standards-Version: 3.9.3
Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
XS-Autobuild: yes

Package: intel-microcode
Architecture: i386 amd64
Depends: ${misc:Depends}, iucode-tool (>= 1.0)
Recommends: initramfs-tools (>= 0.113)
Conflicts: microcode.ctl (<< 0.18~0)
Description: Processor microcode firmware for Intel CPUs
 This package contains updated system processor microcode for
 Intel i686 and Intel X86-64 processors.  Intel releases microcode
 updates to correct processor behavior as documented in the
 respective processor specification updates.
 .
 For AMD processors, please refer to the amd64-microcode package.

## intel-microcode 1.20140913.1~bpo60+1

=== debian/changelog ===
intel-microcode (1.20140913.1~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze-backports (no changes required)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 15 Jan 2015 20:27:51 -0200

intel-microcode (1.20140913.1) stable; urgency=low

  * New upstream microcode data file 20140913
    + New Microcodes:
      sig 0x000306f2, pf mask 0x6f, 2014-09-03, rev 0x0029, size 28672
    + Updated Microcodes:
      sig 0x000306c3, pf mask 0x32, 2014-07-03, rev 0x001c, size 21504
      sig 0x00040651, pf mask 0x72, 2014-07-03, rev 0x001c, size 20480
      sig 0x00040661, pf mask 0x32, 2014-07-03, rev 0x0012, size 23552
    + WARNING: UNSAFE TO BE APPLIED AT RUNTIME (lp#1370352)
  * Microcode updates are now applied only through the initramfs
    + postinst: don't apply microcode update
    + kernel preinst: stop loading microcode module
    + modprobe.d: blacklist microcode module from autoloading outside
      of the initramfs
  * add a microcode best-effort blacklist.  This is a reactive blacklist
    which renames problematic microcode data files in such a way they
    will only be used for the initramfs.  Use it to blacklist all
    Haswell microcode updates
  * source: remove superseded upstream data file: 20140624

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 24 Oct 2014 19:01:18 -0200

intel-microcode (1.20140624.1~bpo60+1) squeeze-backports; urgency=high

  * Rebuild for wheezy-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 27 Jun 2014 20:14:31 -0300

intel-microcode (1.20140624.1) stable; urgency=high

  * New upstream microcode data file 20140624
    + Updated Microcodes:
      sig 0x000306a9, pf mask 0x12, 2014-05-29, rev 0x001b, size 12288
      sig 0x000306c3, pf mask 0x32, 2014-05-23, rev 0x001a, size 20480
      sig 0x000306e4, pf mask 0xed, 2014-05-29, rev 0x0428, size 13312
      sig 0x000306e7, pf mask 0xed, 2014-05-29, rev 0x070d, size 15360
      sig 0x00040651, pf mask 0x72, 2014-05-23, rev 0x0018, size 19456
      sig 0x00040661, pf mask 0x32, 2014-05-23, rev 0x0010, size 23552
    + High urgency: there are fast-tracked microcode updates in this
      release which imply that critical errata are being fixed
  * Intel strongly suggests that this CPU microcode update be applied
    to all Ivy Bridge, Haswell, and Broadwell processors (thanks to
    Canonical for the warning, refer to LP#1335156)
  * This update is reported to better fix the errata addressed by the
    20140430 update (refer to LP#1335156)
  * source: remove superseded upstream data file: 20140430

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 27 Jun 2014 17:00:53 -0300

intel-microcode (1.20140430.1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 08 Jun 2014 20:58:56 -0300

intel-microcode (1.20140430.1) stable; urgency=low

  * New upstream microcode data file 20140430
    + New microcodes:
      sig 0x000306e7, pf mask 0xed, 2014-04-14, rev 0x070c, size 15360
    + Updated microcodes:
      sig 0x000306e4, pf mask 0xed, 2014-04-10, rev 0x0427, size 12288
  * source: remove superseded upstream data file: 20140122

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 03 May 2014 15:05:49 -0300

intel-microcode (1.20140122.1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 19 Apr 2014 16:36:24 -0300

intel-microcode (1.20140122.1) stable; urgency=low

  * New upstream microcode data file 20140122
    + New Microcodes:
      sig 0x00040661, pf mask 0x32, 2013-08-21, rev 0x000f, size 23552
    + Updated Microcodes:
      sig 0x000106e5, pf mask 0x13, 2013-08-20, rev 0x0007, size 7168
      sig 0x000306c3, pf mask 0x32, 2013-08-16, rev 0x0017, size 20480
      sig 0x000306e4, pf mask 0xed, 2013-07-09, rev 0x0416, size 11264
      sig 0x00040651, pf mask 0x72, 2013-09-14, rev 0x0017, size 19456
  * source: remove superseded upstream data file: 20130906

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 01 Feb 2014 17:00:53 -0200

intel-microcode (1.20130906.1~bpo60+1) squeeze-backports; urgency=high

  * Rebuild for squeeze-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 26 Sep 2013 15:21:14 -0300

intel-microcode (1.20130906.1) stable; urgency=high

  * New upstream microcode data file 20130906
    + Updated Microcodes:
      sig 0x000306c3, pf mask 0x32, 2013-08-07, rev 0x0016, size 20480
      sig 0x00040651, pf mask 0x72, 2013-08-08, rev 0x0016, size 19456
    + Updated Microcodes (recently removed):
      sig 0x000106e4, pf mask 0x09, 2013-07-01, rev 0x0003, size 6144
  * This microcode release *likely* fixes the security issues addressed by
    the 20130808 update for signature 0x106e4 (Xeon EC3500/EC5500/LC3500/
    LC5500, Jasper Forest core), which was missing from the 20130808 update
  * upstream changelog: trim down, sunrise now at 20080220, the first
    microcode pack with a license that allows redistribution
  * cpu-signatures.txt: Xeon nocona cores are 64-bit, ship for amd64 arch
    (closes: #722048)
  * source: remove superseded upstream data file: 20130808

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 24 Sep 2013 21:53:17 -0300

intel-microcode (1.20130808.0+deb7u1) stable; urgency=high

  * New upstream microcode data file 20130808
    + New Microcodes:
      sig 0x000306c3, pf mask 0x32, 2013-07-02, rev 0x0012, size 19456
      sig 0x000306e4, pf mask 0xed, 2013-06-13, rev 0x0415, size 11264
      sig 0x000306e6, pf mask 0xed, 2013-06-19, rev 0x0600, size 11264
      sig 0x00040651, pf mask 0x72, 2013-07-02, rev 0x0015, size 18432
    + Updated Microcodes (removed in the past):
      sig 0x000106a5, pf mask 0x03, 2013-06-21, rev 0x0019, size 10240
    + Updated Microcodes:
      sig 0x000106a4, pf mask 0x03, 2013-06-21, rev 0x0012, size 14336


=== debian/control ===
Source: intel-microcode
Section: non-free/admin
Priority: standard
Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Uploaders: Giacomo Catenazzi <cate@debian.org>
Build-Depends: debhelper (>= 7), iucode-tool (>= 0.8)
Standards-Version: 3.9.3
Homepage: http://feeds.downloadcenter.intel.com/rss/?p=483&lang=eng
Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
XS-Autobuild: yes

Package: intel-microcode
Architecture: i386 amd64
Depends: ${misc:Depends}
Recommends: iucode-tool
Conflicts: microcode.ctl (<< 0.18~0)
Description: Processor microcode firmware for Intel CPUs
 This package contains updated system processor microcode for
 Intel i686 and Intel X86-64 processors.  Intel releases microcode
 updates to correct processor behavior as documented in the
 respective processor specification updates.
 .
 Installing iucode-tool is recommended, as it can automatically
 limit the selection of Intel processor microcode files installed
 into the initramfs, reducing initramfs bloat by a large factor.
 .
 For AMD processors, please refer to the amd64-microcode package.

## intel-microcode 1.20150121.1

=== debian/changelog ===
intel-microcode (1.20150121.1) stable; urgency=high

  * New upstream microcode data file 20150121
    + Downgraded microcodes (to a previously shipped revision):
      sig 0x000306f2, pf mask 0x6f, 2014-09-03, rev 0x0029, size 28672
    * The microcode downgrade fixes a very nasty regression on Xeon E5v3
      processors (closes: #776431)
  * critical urgency: the broken sig 0x306f2, rev 0x2b microcode shipped
    in release 20150107 caused CPU core hangs and Linux boot failures.
    The upstream fix was to downgrade it to the same microcode revision
    that was shipped in release 20140913
  * source: remove superseded upstream data file: 20150107.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 30 Jan 2015 08:41:20 -0200

intel-microcode (1.20150107.1) stable; urgency=high

  * New upstream microcode data file 20150107
    + New Microcodes:
      sig 0x000306d4, pf mask 0xc0, 2014-12-05, rev 0x0018, size 14336
    + Updated Microcodes:
      sig 0x000306f2, pf mask 0x6f, 2014-11-21, rev 0x002d, size 28672
    + High urgency: there are fast-tracked microcode updates in this
      release which imply that critical errata are being fixed
      (Broadwell Core i3/i5/i7 5th gen, Core M-5Y, Pentium 3805U,
       Celeron 3755U, maybe others)
  * source: remove superseded upstream data file: 20140913
  * initramfs: decouple from amd64-microcode:
    Update the initramfs init-premount boot script to the script used in
    intel-microcode 1.20130222.6 to 1.20130808.2, as well as all
    intel-microcode 2.x packages.  It has been throughoutly tested for
    more than one year in unstable, testing (jessie), and
    wheezy-backports.  This new version of the boot script decouples
    intel-microcode from amd64-microcode's boot script, and will trigger
    a microcode update only when an Intel processor is installed.
    amd64-microcode's boot script runs earlier, so this change will at
    most cause a microcode update to be triggered twice (the kernel will
    ignore the second attempt).  Therefore, it is compatible with any
    version of the amd64-microcode package. This change allows
    amd64-microcode's boot script to also be updated to decouple itself
    from intel-microcode.
  * initramfs.hook: do not mix arrays and lists.
    Avoid echo "foo $@", use echo "foo $*" instead.  This is unlikely
    to be expĺoitable, but it makes ShellCheck happier.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 18 Jan 2015 19:17:01 -0200

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for intel-microcode
# Copyright (C) 2011,2012 by Henrique de Moraes Holschuh
# Published under the GNU GPL license version 2 or any later versions

PACKAGE := intel-microcode
DEBDIR  := $(CURDIR)/debian
PKGDIR  := $(DEBDIR)/$(PACKAGE)

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export PATH := $(PATH):/sbin:/usr/sbin
IUCODE_TOOL := iucode_tool

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

ifneq ($(DEB_HOST_ARCH),amd64)
IUCODE_FILE := intel-microcode.bin
else
IUCODE_FILE := intel-microcode-64.bin
endif

# Work around Debian bug #688794
INITRAMFS_NAME := $(subst -,_,$(subst +,_,$(subst .,_,$(PACKAGE))))

build-indep:

build-arch: build
build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# split microcode pack
	$(IUCODE_TOOL) -q --write-firmware="$(PKGDIR)/lib/firmware/intel-ucode" $(IUCODE_FILE)

	# apply best-effort blacklist
	if [ -r debian/ucode-blacklist.txt ] ; then \
		cat debian/ucode-blacklist.txt | while read -r fn crap ; do \
			if [ -r "$(PKGDIR)/lib/firmware/intel-ucode/$${fn}" ] ; then \
				mv "$(PKGDIR)/lib/firmware/intel-ucode/$${fn}" "$(PKGDIR)/lib/firmware/intel-ucode/$${fn}.initramfs" ;\
				echo "Renaming blacklisted microcode $${fn}" ; \
			fi ; \
		done ; \
	fi

	mkdir -p "$(PKGDIR)/usr/share/initramfs-tools/hooks"
	install -m 755 "$(DEBDIR)/initramfs.hook" \
		"$(PKGDIR)/usr/share/initramfs-tools/hooks/$(INITRAMFS_NAME)"
	mkdir -p "$(PKGDIR)/usr/share/initramfs-tools/scripts/init-premount"
	install -m 755 "$(DEBDIR)/initramfs.init-premount" \
		"$(PKGDIR)/usr/share/initramfs-tools/scripts/init-premount/$(INITRAMFS_NAME)"
	mkdir -p "$(PKGDIR)/etc/kernel/preinst.d"
	install -m 755 "$(DEBDIR)/$(PACKAGE).kpreinst" \
		"$(PKGDIR)/etc/kernel/preinst.d/$(PACKAGE)"

	# We have a /etc/default file, but no initscript
	install -m 644 "$(DEBDIR)/$(PACKAGE).default" "$(PKGDIR)/etc/default/$(PACKAGE)"

binary: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs changelog
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary-arch: binary

.PHONY: build clean binary install binary-arch binary-indep
